prev - up - next - index

# Class

  The class of the classes. To tell the truth, each class have the unnamed class (which is the meta-class of the class), the class `Class` is the class of these meta-classes. It is complicated, but it is not important for using Ruby.

## SuperClass:

  `Module`

## Methods:

  `ancestors`

    Returns the list of the superclass and inclded modules with precedence.

  `method_defined?(id)`

    Returns true, if the instance of the Class has the method specified by the id.

  `inherited(subclass)`

    Will be called when a subclass of the receiver created. The argument is the newly created subclass.

  `new(...)`

    Creates an instance of the class. This arguments to this method will pass to the `initialize`.

  `name()`

    Returns the class name.

  `superclass`

    Returns the superclass of the class.

## Class Methods:

  `new([superclass])`

    Creates an anonymous class, which superclass is specified by superclass. The default value for the superclass is the class `Object`.

prev - up - next - index

matz@netlab.co.jp